Skip to content

Get MMSID Details API

getMMSIDDetails

Synopsis:

This API returns all the details of an MMS template given its MMS ID. Such details include:

  • The internal name of the MMS template
  • The MMS subject
  • The fallback SMS text, which is used when the MMS is sent as an SMS instead
  • The date the MMS template was created
  • The total number of slides within the MMS template
  • The size of the MMS template in bytes
  • The poster URL an MMS template, which represents the content that could be used as the MMS preview poster. It is only returned in the response if the MMS Template contains either a video and/or image in any of its slides. The poster URL is generated based on the first content type (either image or video) to appear in the slides ordered within the MMS Template. Thus it will not be generated if the MMS Template only contains plain text or any other types of objects such as audio, pass, pdf, ical, and vcard.

The API also returns all the details of each slide within the MMS template, including the content and slide text. For example, if a slide contains either an image, audio, or video, then the API will return the URL and file size of the original file plus all the transcoded files.

Request: XML

<REQUEST>
   <ACTION>getMMSIDDetails</ACTION>
   <API_KEY>apiKey</API_KEY>
   <MMSID>mmsid</MMSID>
</REQUEST>

Request Parameters:

Term Mandatory/Optional Description
ACTION Mandatory This is the name of the function you want to execute with the API.
API_KEY Mandatory Random key that is assigned to an account that can be used for authorization instead of USER/PASS. You can find and regenerate this key on the ‘API Settings’ page.
MMSID Mandatory The ID (bigint) of a saved MMS.

Response Parameters:

Param Name Presence Description
STATUS Always “Success” or “Failure”.
MMSID Success Response Only The ID (bigint) of a saved MMS.
NAME Success Response Only MMS template name for internal reference only.
SUBJECT Success Response Only MMS Subject text. Limit subject to 40 characters for best deliverability. No unicode (emojis).
FALLBACK_SMS_TEXT Success Response Only Text which gets sent when MMS is sent as SMS fallback. Limit text to 110 characters for best deliverability.
DATE_CREATED Success Response Only The date of the MMS template creation.
TOTAL_SLIDES Success Response Only The total number of slides in the MMS template.
SIZE Success Response Only The size of the MMS template.
POSTER_URL Success Response Only The poster URL represents the content that could be used as the MMS preview poster.
SLIDE Success Response Only The list of slides in the MMS template.
SLIDE:$CONTENT Success Response Only Slide content node which contains the content details. Acceptable slide content includes:
image
audio
video
vcard
ical
pdf
text
personalized-image:template-id
SLIDE:$CONTENT:FILE Success Response Only Slide content file details which consist of the URL, size, and dimension.
SLIDE:$CONTENT:FILE:URL Success Response Only Slide content file URL.
SLIDE:$CONTENT:FILE:SIZE Success Response Only Slide content file size.
SLIDE:$CONTENT:FILE:DIMENSION Success Response Only Slide content file dimension.
ERRORCODE Error response only Error code associated with the error.
ERRORINFO Error response only Error message explaining the error code.

Request Example: XML

<REQUEST>
    <ACTION>getMMSIDDetails</ACTION>
    <API_KEY>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx</API_KEY>
    <MMSID>63865</MMSID>
</REQUEST>

Response Example: Success

<RESPONSE>
    <STATUS>Success</STATUS>
    <MMSID>63865</MMSID>
    <NAME>joe's special sandwich promotion</NAME>
    <SUBJECT>Free Joe's special sandwich today!</SUBJECT>
    <FALLBACK_SMS_TEXT>Free Joe's special sandwich today! Click here for more info</FALLBACK_SMS_TEXT>
    <DATE_CREATED>2016-12-29T18:17:29+00:00</DATE_CREATED>
    <TOTAL_SLIDES>2</TOTAL_SLIDES>
    <SIZE>159744</SIZE>
    <POSTER_URL>https://fake-content-url.com/special_coupon.jpg</POSTER_URL>
    <SLIDE>
        <IMAGE>
            <FILE>
                <URL>https://fake-content-url.com/special_coupon.jpg</URL>
                <SIZE>61164</SIZE>
                <DIMENSION>600x500</DIMENSION>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/special_coupon-c0-p75.jpg</URL>
                <SIZE>41464</SIZE>
                <DIMENSION>450x375</DIMENSION>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/special_coupon-c0-p50.jpg</URL>
                <SIZE>20167</SIZE>
                <DIMENSION>300x250</DIMENSION>
            </FILE>
        </IMAGE>
        <TEXT>Here's a free Joe's special sandwich on us! Coupon valid through 2/1/17.</TEXT>
    </SLIDE>
    <SLIDE>
        <VIDEO>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video.3gp</URL>
                <SIZE>98226</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-mpeg4-8.3gp</URL>
                <SIZE>145463</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-h264-8-l.mp4</URL>
                <SIZE>139780</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-h264-8.mp4</URL>
                <SIZE>172322</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-h264-8-h.mp4</URL>
                <SIZE>224222</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-h264-8-smartphone.mp4</URL>
                <SIZE>327685</SIZE>
            </FILE>
            <FILE>
                <URL>https://fake-content-url.com/thank_you_video-h264-8-smartphone-h.mp4</URL>
                <SIZE>565204</SIZE>
            </FILE>
        </VIDEO>
    </SLIDE>
</RESPONSE>

Response Example: Failure

<RESPONSE>
    <STATUS>Failure</STATUS>
    <ERRORCODE>E626</ERRORCODE>
    <ERRORINFO>Content unavailable. Encoding in progress, try again later</ERRORINFO>
</RESPONSE>

General Error Codes:

Code Description
E100 Invalid request. Make a valid request via GET/POST/XML with all the required variables.
E104 User Authentication Failed.
E105 This account has no API rights.
E106 You can call API every X seconds.
E107 This account has no rights to use this action.
E108 XML Parse error: $error.
E109 API not activated.
E112 IP was not whitelisted. API call rejected.
E113 Set throughput exceeded for this API action. API call rejected.
E114 Phone number is blacklisted. API call rejected.
E120 Account has reached the API request limit.
E503 Internal error.
Code Description
E241 The content does not exist
E620 The ‘mmsid’ is required
E626 Content unavailable. Encoding failed
E626 Content unavailable. Encoding in progress, try again later
E629 Unrecognised content type